commit 1ab855e72e077abad247cc40619b6fc7f7758983
Author: Ian Barwick <barwick@gmail.com>
Date:   Mon Oct 10 22:32:31 2022 +0900

    doc: add entry for pg_get_partkeydef()
    
    Other pg_get_XXXdef() functions are documented, so it seems reasonable
    to include this as well.

diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index b2bdbc7d1c..d59b8ab77e 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -23718,6 +23718,23 @@ SELECT pg_type_is_visible('myschema.widget'::regtype);
        </para></entry>
       </row>
 
+      <row>
+       <entry role="func_table_entry"><para role="func_signature">
+        <indexterm>
+         <primary>pg_get_partkeydef</primary>
+        </indexterm>
+        <function>pg_get_partkeydef</function> ( <parameter>table</parameter> <type>oid</type> )
+        <returnvalue>text</returnvalue>
+       </para>
+       <para>
+        Reconstructs the definition of a partition key, in the form it would
+        need to appear in the <literal>PARTITION BY</literal> clause in
+        <command>CREATE TABLE</command>.
+        (This is a decompiled reconstruction, not the original text
+        of the command.)
+       </para></entry>
+      </row>
+
       <row>
        <entry role="func_table_entry"><para role="func_signature">
         <indexterm>
